{

    //怪物自杀

    "AbilityName":"Monster_Suicide",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnAdded":

        [

            {

                "$type" : "MoleMole.SetAnimCtrlerParamAction",

                "ParamType" : 3,

                "ParamName" : "Int_DeathWay",

                "Target" : "Self",

                "IntVal" : -1,

            },

            {

                "$type" : "MoleMole.SetAnimCtrlerParamAction",

                "ParamType" : 1,

                "ParamName" : "Trigger_Die",

                "Target" : "Self",

                "BoolVal" : true,

            }

        ]

    },



    "AbilityMixins":

    [

        //添加锁血回调，防止自杀被打断

        {

            "$type": "MoleMole.LockLifePropertyMixin",



            "RatioLockList":

            [

                {

                    "LockType": "Total",

                    "LockValue": 1.0

                }

            ],

        }

    ],

}